Bing SERP API 매개변수
GET https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=<query>
Parameters
섹션 제목: “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | 사용자의 SERP API 키 |
engine | string | yes | bing이어야 함 |
q | string | yes | 검색 쿼리 |
location | string | no | 자유 형식 위치 (예: "London, England") |
cc | ISO code | no | 국가/지역 필터 |
setLang | locale | no | UI 언어 (예: en-US, de-DE) |
device | desktop | mobile | no | 시뮬레이션할 기기 (기본값 desktop) |
first | integer | no | 페이지네이션을 위한 결과 오프셋 |
count | integer | no | 페이지당 결과 수 (기본값 10) |
safe_search | Off | Moderate | Strict | no | SafeSearch 수준 |
Examples
섹션 제목: “Examples”독일어로 지역화된 검색:
curl "https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=haus+kaufen&cc=DE&setLang=de-DE"모바일 SERP 페이지네이션 (다음 10개 결과):
curl "https://serp.shifter.io/v1?engine=bing&api_key=YOUR_API_KEY&q=best+laptops&device=mobile&first=11"